Redmine - Feature #31196

Updates jQuery to 2.2.4 and adds jQuery Migrate library
2019-04-12 12:17 - Federico Vera

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Third-party libraries Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

The current version of jQuery used in Redmine (1.11.1) is a couple of years old, and plagued with known security vulnerabilities and
some that are not listed in CVE.

jQuery itself releases a plugin called jQuery Migrate to help with the transition.

The question is, is there any plan to upgrade jQuery?

Related issues:

Related to Redmine - Patch #31884: Fix JQAMIGRATE: jQuery.fn.load() is deprecated Closed
Related to Redmine - Defect #31870: Remove deprecated .zIndex() method Closed
Related to Redmine - Patch #31894: Fix "jQuery.fn.attr('selected’) might use ... Closed

Associated revisions

Revision 18363 - 2019-08-13 16:18 - Go MAEDA
Updates jQuery to 2.2.4 and adds jQuery Migrate library to find APIs and features that have been or will be removed from jQuery core (#31196).

Patch by Marius BALTEANU.

Revision 18364 - 2019-08-13 16:23 - Go MAEDA

Fix JMIGRATE: jQuery.fn.load() is deprecated (#31884, #31196).

Patch by Marius BALTEANU.

Revision 18365 - 2019-08-14 01:28 - Go MAEDA

Fix jQuery.fn.attr('selected’) might use property instead of attribute (#31894, #31196).

Patch by Marius BALTEANU.

History

#1 - 2019-04-12 12:18 - Federico Vera
Related issue: #30486

#2 - 2019-05-20 14:46 - Philippe Bourjac

Federico Vera wrote:

The current version of jQuery used in Redmine (1.11.1) is a couple of years old, and plagued with known security vulnerabilities and some that
are not listed in CVE.

jQuery itself releases a plugin called jQuery Migrate to help with the transition.

The question is, is there any plan to upgrade jQuery?

Hello there,
| am interested in this subject too, as we are using redmine 4.0.3 and security services are putting some pressure on us because of this vulnerability

(they are asking me to shut the redmine system down).
Any plan to migrate to latest jQuery version?
https://www.cvedetails.com/vulnerability-list.php?vendor_id=6538&product_id=0&version_id=0&page=1&hasexp=0&opdos=0&opec=0&opov=0&opcsrf=0&opgpriv=0&opsqli=0&opxss=0&opdirt=0&opmemc=0&ophttprs=0&opbyp=0&opfileinc=0&opginf=0&cvssscoremin=0&cvssscoremax=0&year=0&cweid=0&order=1&trc=8&sha=cb2a1701a62483883bb26bfed4bac08a56f263d1
https://github.com/jquery/jquery-migrate/#readme
https://www.redmine.org/issues/30486
https://www.cvedetails.com/vulnerability-list.php?vendor_id=6538&product_id=0&version_id=0&page=1&hasexp=0&opdos=0&opec=0&opov=0&opcsrf=0&opgpriv=0&opsqli=0&opxss=0&opdirt=0&opmemc=0&ophttprs=0&opbyp=0&opfileinc=0&opginf=0&cvssscoremin=0&cvssscoremax=0&year=0&cweid=0&order=1&trc=8&sha=cb2a1701a62483883bb26bfed4bac08a56f263d1
https://github.com/jquery/jquery-migrate/#readme

Regards,
Philippe

#3 - 2019-05-20 15:39 - Marius BALTEANU
- Tracker changed from Defect to Feature

- Assignee set to Marius BALTEANU
I've some work in progress on this topic.

#4 - 2019-08-13 00:37 - Marius BALTEANU
- Assignee deleted (Marius BALTEANU)

Here is a patch (I cannot attached it here because of the size - please use the download option or access the patch directly using this link) that
updates jQuery to version 2.2.4. Because we didn't check the entire JS code, | propose to use the jQuery Migrate library which will help us identifying
all the issues that we need to fix before moving to next major version. | think it's safe to commit this as soon as possible and report the issues found
by the library.

Hopefully, we can migrate to jQuery 3 or 4 (which is under development) in Redmine 4.2.0 or 5.0.0.

#5 - 2019-08-13 02:00 - Marius BALTEANU
- Related to Patch #31884: Fix JQMIGRATE: jQuery.fn.load() is deprecated added

#6 - 2019-08-13 03:02 - Go MAEDA
- Related to Defect #31870: Remove deprecated .zIndex() method added

#7 - 2019-08-13 03:04 - Go MAEDA

- Target version set to 4.1.0

Marius BALTEANU wrote:

| think it's safe to commit this as soon as possible and report the issues found by the library.

Setting the target version to 4.1.0. Thank you for working hard on this.

#8 - 2019-08-13 16:20 - Go MAEDA

- Subject changed from jQuery version in use is old and insecure to Updates jQuery to 2.2.4 and adds jQuery Migrate library
- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed
Committed the patch. Thank you.

#9 - 2019-08-13 22:09 - Marius BALTEANU
- Related to Patch #31894: Fix "jQuery.fn.attr('selected') might use property instead of attribute" added

#10 - 2019-08-30 01:44 - Go MAEDA
- Category changed from Security to Third-party libraries
https://gitlab.com/redmine-org/redmine/merge_requests/8/diffs
https://gitlab.com/redmine-org/redmine/merge_requests/8.diff
https://github.com/jquery/jquery-migrate/#readme
https://www.redmine.org/versions/152
https://www.redmine.org/versions/155
http://www.tcpdf.org

